<?php
require './vendor/autoload.php';
include("./lib/config.php");
include("./lib/mysql.php");

use GuzzleHttp\Client;

$data = array(
    'secret' => $secretkey,
    'response' => $_POST['h-captcha-response']
);

$client = new Client();

$response = $client->post("https://hcaptcha.com/siteverify", [
    "form_params" => $data
]);

$responseData = json_decode($response->getBody());



if($responseData->success) {

    $article =$conn->escape_string($_POST["pagename"]);
    $name = $conn->escape_string($_POST["name"]);
    $email = $conn->escape_string($_POST["email"]);
    $comment = $conn->escape_string($_POST["comment"]);

    $sql = "INSERT INTO comments (name, email, comment, article) VALUES ('$name', '$email', '$comment', '$article')";

    if ($conn->query($sql) === TRUE) {
        header("Location: " . $_SERVER["HTTP_REFERER"]);
    } else {
        echo "Error: " . $sql . "<br>" . $conn->error;
    }
} else {
    echo "Failed to verify captcha.";
}
